明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

楼主: 树櫴希德

利用GZXL程序:根据图面三角网查询任意点高程

[复制链接]
 楼主| 发表于 2014-5-16 08:39 | 显示全部楼层
什么情况下会影响插值结果?到现在为止还没有发现?大家都来测试一下吧。
 楼主| 发表于 2014-5-16 21:17 | 显示全部楼层
(defun c:t6 (/ wjm ssdata ssdd ent1 fff);提取多段线坐标到TXT
(setq wjm (getfiled "请指定要保存的坐标文件" "e:\\" "txt" 1))
       (setq fff (open wjm "w"))
(setq ssdata (entget (car (entsel ""))))
(setq ssdd (mapcar 'cdr(vl-remove-if-not (function(lambda(x)(= 10 (car x))))ssdata)))
;(foreach pt ssdd)
(setq i 0)
(repeat (length ssdd)
  (setq ent1 (nth i ssdd))
  
  (write-line (strcat (rtos (car ent1) 2 3) "," (rtos (cadr ent1) 2 3)) fff)
  (setq i (1+ i))

  )
(close fff)
       )
发表于 2014-9-13 15:04 | 显示全部楼层
太有用的代码了。可惜我不懂lisp,我正在寻找vb或c#版。
发表于 2014-12-2 21:15 | 显示全部楼层
选择对象:  ; 错误: no function definition: VXS。是怎么一回事?
发表于 2014-12-2 21:44 | 显示全部楼层
如果有十万个三角形,addgcptinpm函数是不是会很慢?
 楼主| 发表于 2014-12-3 19:20 | 显示全部楼层
yshf 发表于 2014-12-2 21:44
如果有十万个三角形,addgcptinpm函数是不是会很慢?

大神如果点击某点 就自动搜索在某个三角形中,像CIVLL 3D那样就好了  你能改进下吗
发表于 2014-12-3 23:12 | 显示全部楼层
谢谢!挺好用的!收藏
发表于 2014-12-3 23:34 | 显示全部楼层
如果使用CIVLL 3D,那你那个函数就没有太多的意义了。
在CIVLL 3D中,选取一个三角网曲面,使用以下方法就可以得到该曲面上任意点的高程:
(setq x (car pt) y (cadr pt)) ;pt为曲面上任意一点
(setq z (vl-catch-all-apply 'vlax-invoke-method (list Obj "FindElevationAtXY" x y)));取得点(x,y)的高程值, obj为三角网曲面
 楼主| 发表于 2014-12-5 16:00 | 显示全部楼层
yshf 发表于 2014-12-3 23:34
如果使用CIVLL 3D,那你那个函数就没有太多的意义了。
在CIVLL 3D中,选取一个三角网曲面,使用以下方法就 ...

CIVLL 3D有个三维坐标查询器和体积计算器 可显示坡度 三维坐标 坡向等
 楼主| 发表于 2014-12-8 17:28 | 显示全部楼层
yshf 发表于 2014-12-3 23:34
如果使用CIVLL 3D,那你那个函数就没有太多的意义了。
在CIVLL 3D中,选取一个三角网曲面,使用以下方法就 ...

教授啊,YSHF经常研究三角网建模吗?期待你的大作
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-1-16 19:27 , Processed in 0.227954 second(s), 22 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表